import App from './App'
import ajax from './common/ajax' 
import mixin from './common/mixin' 
import store from './store'
// #ifndef VUE3
import Vue from 'vue'
// Vue2：挂载在 Vue 原型链上，则通过 this.$ajax 调用
Vue.prototype.$ajax = ajax
Vue.mixin(mixin)



Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App,
	store,
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  // Vue3 (Options API)：挂载在当前应用上（app 为 createSSRApp 后的应用），也是通过 this.$ajax 调用
  app.config.globalProperties.$ajax = ajax
  	app.use(store)
  return {
    app
  }
}
// #endif


// 如果你在项目中有用到 nvue 页面，是无法通过 this.$ajax 调用
// 需要将请求方法添加到 uni 对象上，然后通过 uni.$ajax 调用
uni.$ajax = ajax